﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BindingColumnHeaderText
{
    public class GlobalHistoryRecordInfoVM 
    {
        public SampleData globalHistoryRecordInfo { get; set; }

        public GlobalHistoryModel ModelHistory { get; set; }

        public GlobalHistoryRecordInfoVM()
        {
            globalHistoryRecordInfo = new SampleData();

            ModelHistory = new GlobalHistoryModel();
            ModelHistory.ParamHeader2 = "Param2";
        }
    }

    public class GlobalHistoryModel
    {
        public string ParamHeader2 { get; set; }
    }

    public class SampleDataItem
    {
        public string name { get; set; }
        public string department { get; set; }
        public double salary { get; set; }
        public string email { get; set; }
    }

    public class SampleData : ObservableCollection<SampleDataItem>
    {
        public SampleData()
        {
            Add(new SampleDataItem { name = "Joe", department = "Sales", salary = 70000.0, email = "joe@email.com" });
            Add(new SampleDataItem { name = "Mary", department = "Engineering", salary = 71000.0, email = "mary@email.com" });
            Add(new SampleDataItem { name = "Jim", department = "Sales", salary = 72000.0, email = "jim@email.com" });
        }
    }
}
